# 20102.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Robinson, MP 19 (1982), 200-221.
# Ref.: Anitescu, Preprint No. ANL/MCS-P796-0200 (2000), p. 9.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 10.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.4.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x^6*sin(1/x) = 0; 