# 20105.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 12.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.19.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multiplier for I={1}: mu = 0 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x^3;

s.t. mu := Uniform(0,RangeStartingPoints):
     -x^2 >= 0; 