# 20206.mod		
# Original AMPL coding by Alexey Izmailov 05.06.09.

# Number of variables: 2
# Number of constraints: 1

# Solutions: x[1]=0
# Degenerate solution: (0, 0)
# Optimal value: 0
# Critical multiplier: 0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[2] = 0; 