# 20216.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 43 (2003), 178-193, Example 4.
# Ref.: Arutyunov and Izmailov, MP 100 (2004), 485515, Example 5.

# Number of variables: 2
# Number of constraints: 1

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: 1 and 3 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1]^2 - 4*x[1]*x[2] + x[2]^2)/2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[2] = 0;