# 20221.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 44 (2004), 552574, Example 3.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers for I = {1, 2}: none

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1] - x[2] + x[1]^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] - x[2] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     (x[1]^2 - x[2]^2)/2 >= 0;