# 40204.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Hoheisel and Kanzow, JMAA 337 (2008), 292-310, Example 2.10.

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] - x[1]^3 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]^3*(x[2] - x[1]^3) >= 0; 
