# 40207.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Izmailov and Solodov, JOTA 142 (2009), 501-532, Examples 3.1 (modified).

# Number of variables: 2
# Number of constraints: 2

# Local solution: (0, 0)
# Value at local solution: 0
# Critical multipliers at local solution for I={2}: (0, 0) and (0, 4)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - x[2])^2 - x[1]^2*x[2];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 