# 40210.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Izmailov and Pogosyan, Comput. Math. Math. Phys. 49 (2009), Example 1.

# Number of variables: 2
# Number of constraints: 4

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     1 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     1 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     -x[1] >= 0; 
