# 10207.mod		
# Original AMPL coding by Alexey Izmailov 24.06.09.

# Ref.: Avakov, Arutyunov, Izmailov, Comp. Math. Math. Phys. 44 (2004), 1684-1695, Example 5.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier for I={1, 2}: (3/4, 1/4)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1]^2/2 + x[2];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1]^2 + x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[1]^2 + x[2] >= 0;