# 20101.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Izmailov and Solodov, SIAM J. Optim 15 (2004), 210-228, Example 2.1.
# Ref.: Izmailov, Comp. Math. Math. Phys. 45 (2005), 918-929, Example 2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 13.
# Ref.: Izmailov and Solodov, MPB 117 (2009), 271-304, Example 1.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.18.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multiplier: lambda = -1 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x^2 = 0; 