# 20103.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: MPCC/Initial, Example 2.1.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 3.2.
# Ref.: Izmailov, Optimizat., DOI 10.1080/02331930802434922, Example 3.2.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multiplier for I={1}: 1 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x^2;

s.t. mu := Uniform(0,RangeStartingPoints):
     -x^2 >= 0; 