# 20112.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref. ( related to): Avakov, Arutyunov, and Izmailov, Proceedings of the Steklov Institute of Mathematics 256 (2007), 225, Example 3.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# No multipliers

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x;

s.t. mu := Uniform(0,RangeStartingPoints):
     -x^3 >= 0;  