# 20210.mod		
# Original AMPL coding by Alexey Izmailov 24.06.09.

# Ref.: Communicated by Vladimir Nikulin and Nikolay Spitzin.

# Number of variables: 2
# Number of constraints: 1

# Solution: (0, 0)
# Optimal value: 1
# Critical multipliers: -1 and -1/2 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + cos(x[2]);

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 + x[2]^2 = 0; 