# 20214.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Izmailov, Comp. Math. Math. Phys. 47 (2007), 533554, Example 2.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier: (0, 0) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         0;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 + x[2]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[2] = 0; 
