# 20225.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Modified 10202.

# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 12.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers for I = {1}: none

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -(x[1] - 2)^2 - x[2]^2 >= -4;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     (x[1] - 4)^2 + x[2]^2 >= 16;