# 30211.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Modified 30210.

# Number of variables: 2
# Number of constraints: 3

# Global solution: (1, 1)
# Optimal value: -1
# Local solution: (0, 0)
# Value at local solution: 0
# Critical multipliers at local solution for I={3}: (0, 0, 2) and (0, 0, 6) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 - 4*x[1]*x[2] + x[2]^3;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] + x[2]^2/2 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] - x[1]^2 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -(x[1] + x[2]^2/2)*(x[2] - x[1]^2) >= 0; 